{*
7fa4833e6ab073bc067a89fc498981ceb9de6798, v9 (xcart_4_7_0), 2014-12-22 09:38:30, subcategories.tpl, aim

vim: set ts=2 sw=2 sts=2 et:
*}

{if $current_category.category_type ne "B"}

{capture name=dialog}
<div class="p-{if $current_category.description ne "" || $current_category.image_path ne "" || $current_category.video_id ne ""}3{else}0{/if}">

{if $current_category.image_path ne ""}
{capture name="image_url"}{get_category_image_url category=$current_category}{/capture}
{if $config.Reboot.reboot_webp_enabled eq 'Y'}
{assign var="current_category_icon" value=$smarty.capture.image_url|replace:'/C/':'/webp/C/'|replace:'.jpg':'.webp'|replace:'.jpeg':'.webp'|replace:'.png':'.webp'}
{else}
{assign var="current_category_icon" value=$smarty.capture.image_url}
{/if}
<div class="text-center mb-4">
<img class="img-fluid lazyload" src="{$AltImagesDir}/spacer.gif" data-src="{$current_category_icon}" alt="{$current_category.category|escape}" title="{$current_category.category|escape}">
</div>
{/if}

{if $current_category.description ne "" && $config.Reboot.reboot_category_descr_1 ne ""}
  {if $config.Reboot.reboot_category_descr_1 eq "default"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.description br=true nodialog=true}
  {elseif $config.Reboot.reboot_category_descr_1 eq "truncated"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.description truncate=500 br=true nodialog=true}
  {elseif $config.Reboot.reboot_category_descr_1 eq "scroller"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.description scroller=300 nofade=false br=true nodialog=true}
  {/if}
{/if}

{if $current_category.video_id ne ""}
{include file="custom/youtube.tpl" id=$current_category.video_id title=$current_category.category|amp}
<br>
{/if}

{if $categories}
<div class="p-{if $current_category.description eq ''}3{else}0{/if}{if $current_category.description ne '' && $current_category.video_id eq ''} mt-4{/if}">
{if $config.Appearance.subcategories_per_row eq 'Y'}
  {include file="customer/main/subcategories_t.tpl"}
{else}
  {include file="customer/main/subcategories_list.tpl"}
{/if}
</div>
{/if}

</div>
{/capture}
{if $printable_link_visible}
  {include file="customer/dialog.tpl" title=$current_category.category|amp content=$smarty.capture.dialog heading="1" size="1" link="{$php_url.url|escape}?printable=Y{if $php_url.query_string ne ''}&amp;{$php_url.query_string|escape}{/if}" link_icon="print" mb="4" link_title="" link_tip="{$lng.lbl_printable_version}" link_target="_blank" content_padding="none"}
{else}
  {include file="customer/dialog.tpl" title=$current_category.category|amp content=$smarty.capture.dialog heading="1" size="1" content_padding="none"}
{/if}

{else}

{include file="custom/blog/blog_subcategories.tpl"}

{/if}

{if $config.Reboot.reboot_public_coupons_enabled eq "Y" && $discount_coupons && $current_category.category_type ne "B"}
  {include file="custom/coupons.tpl" section="category" nodialog=true}
{/if}

{if $active_modules.Special_Offers && $category_offers && $config.Special_Offers.offers_show_thumb_on_lists eq "Y"}
{include file="modules/Special_Offers/customer/category_offers_short_list.tpl"}
{/if}

{*
{if $active_modules.Bestsellers and $config.Bestsellers.bestsellers_menu ne "Y"}
{include file="modules/Bestsellers/bestsellers.tpl"}
{/if}
{if $active_modules.New_Arrivals && $new_arrivals && $new_arrivals|@count gte $config.Appearance.products_per_page}
{include file="modules/New_Arrivals/new_arrivals.tpl" new_arrivals_main="Y" carousel=true}<br>
{/if}
*}

{if $f_products}
{include file="customer/main/featured.tpl" nodialog=true carousel=true br=true}<br>
{/if}

{*-------------------------------------------*}

{if $active_modules.Refine_Filters && ($rf_filters || $rf_filter_cats)}
<div class="d-block d-lg-none mb-4">
{capture name=menu}
<div id="filters_mobile"></div>
{/capture}
{include file="customer/menu_dialog.tpl" title=$lng.lbl_rf_filter content=$smarty.capture.menu collapse="mobile_filters" closed=true icon="filter" content_padding="3"}
</div>
{/if}

{*-------------------------------------------*}

{if $cat_products}

{if $current_category.category_type ne "B"}

  {if $current_category.tabular eq "Y"}

    {include file="customer/main/navigation.tpl" noswitcher=true}
    {include file="customer/main/products.tpl" products=$cat_products tabular=true}
    {include file="customer/main/navigation.tpl" bottom=true}

  {else}

    {if $active_modules.Refine_Filters}
    <div class="dialog products-dialog dialog-category-products-list">
    <div class="content">
    {/if}

    {include file="customer/main/navigation.tpl"}
    {include file="customer/main/products.tpl" products=$cat_products masonry=$config.Reboot.reboot_products_display}
    {include file="customer/main/navigation.tpl" bottom=true}

    {if $active_modules.Refine_Filters}
    </div>
    </div>
    {/if}

  {/if}

{else}
  {include file="custom/blog/blog_posts.tpl" products=$cat_products}
{/if}

{else}

{if !$f_products && !$categories}
{capture name=alert}
{if $current_category.category_type ne "B"}
{$lng.txt_no_products_in_cat}
{else}
{$lng.txt_no_posts_in_cat} 
{/if}
{/capture}
{include file="customer/alert.tpl" content=$smarty.capture.alert close=false}
{/if}

{if !$f_products}
  {if $active_modules.Bestsellers}
  {getvar var=bestsellers func=func_tpl_get_bestsellers}
  {if $bestsellers}
  {include file="customer/simple_products_list.tpl" nodialog=false nosubheader=true title=$lng.lbl_bestsellers products=$bestsellers carousel=true icon="trophy"}
  {/if}
  {/if}
  {if $active_modules.Recently_Viewed}
  {getvar var=recently_viewed_products func=func_tpl_get_recently_viewed_products}
  {if $recently_viewed_products}
  {include file="customer/simple_products_list.tpl" nodialog=false nosubheader=true title=$lng.rviewed_section products=$recently_viewed_products carousel=true icon="eye"}
  {/if}
  {/if}
{/if}

{/if}

{*-------------------------------------------*}

{if $current_category.seo ne "" && $config.Reboot.reboot_category_descr_2 ne ""}
  {if $config.Reboot.reboot_category_descr_2 eq "default"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.seo br=true}
  {elseif $config.Reboot.reboot_category_descr_2 eq "truncated"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.seo truncate=500 br=true}
  {elseif $config.Reboot.reboot_category_descr_2 eq "scroller"}
    {include file="customer/main/subcategory_descr.tpl" field=$current_category.seo scroller=300 nofade=false br=true}
  {/if}
{/if}