{if !$is_modal_popup}

<div class="card shadow-sm mb-{if $collapse || $nmb}0{else}{$mb|default:'4'}{/if}{if $border} border-{$border}{else}{if $config.Reboot.reboot_dialog_border ne 'light'} border-{$config.Reboot.reboot_dialog_border}{if $config.Reboot.reboot_dialog_border_shade}-{$config.Reboot.reboot_dialog_border_shade}{/if}{/if}{/if}{if $nobbr} nobbr{/if}{if $additional_class} {$additional_class}{/if}">

<div class="card-header p-{if $collapse}0{else}{$title_padding|default:'3'}{/if}{if $bg} bg-{$bg}{else} bg-{$config.Reboot.reboot_dialog_bg}{if $config.Reboot.reboot_dialog_bg_shade}-{$config.Reboot.reboot_dialog_bg_shade}{/if}{/if}{if $text} text-{$text}{else} text-{$config.Reboot.reboot_dialog_text_colour}{/if}{if !$collapse} border {if $border} border-{$border}{else}{if $config.Reboot.reboot_dialog_border ne 'light'} border-{$config.Reboot.reboot_dialog_border}{if $config.Reboot.reboot_dialog_border_shade}-{$config.Reboot.reboot_dialog_border_shade}{/if}{/if}{/if} border-bottom-only{/if}{if $collapse} collapsible{/if}"{if $config.Reboot.reboot_dialog_bg_gradient ne '' && !$bg} style="background-image:linear-gradient({if $config.Reboot.reboot_dialog_bg_gradient eq 'horiz'}to right,{/if}{$config.Reboot.reboot_dialog_bg_gradient_1},{$config.Reboot.reboot_dialog_bg_gradient_2});"{/if}>

{if $collapse_parent || $link || $dropdown}
<div class="row no-gutters align-items-center">
<div class="col">
{/if}

{if $collapse}<a class="{if $left_icon}left-icon {/if}{if $plus_icon}plus{else}angle{/if}-icon{if !$bg} border-bottom{/if} p-{$title_padding|default:'3'}{if $closed} collapsed{/if} border {if $border} border-{$border}{else}{if $config.Reboot.reboot_dialog_border ne 'light'} border-{$config.Reboot.reboot_dialog_border}{if $config.Reboot.reboot_dialog_border_shade}-{$config.Reboot.reboot_dialog_border_shade}{/if}{/if}{/if} border-bottom-only text-reset" data-toggle="collapse" data-target="#{$collapse}">{/if}

<h{$heading|default:$config.Reboot.reboot_dialog_heading} class="{if $config.Reboot.reboot_dialog_headings_common_size ne ''}h{$config.Reboot.reboot_dialog_headings_common_size} {/if}mb-0{if $ignore_font} ignore-font{/if}">{if $config.Reboot.reboot_dialog_title_icons eq "Y" && $icon}<i class="fa fa-{$icon}" aria-hidden="true"></i> {/if}{$title}</h{$heading|default:$config.Reboot.reboot_dialog_heading}>

{if $collapse}</a>{/if}

{if $collapse_parent || $link || $dropdown}
</div>
<div class="col-auto text-right pr-0">

{if $collapse_parent}
<div class="btn-group shadow-sm">
<a href="#" id="show-{$collapse_parent}-menus" class="btn btn-white border ttip_n px-3" title="{$lng.lbl_expand_all|capitalize}"><i class="fa fa-angle-down"></i></a>
<a href="#" id="hide-{$collapse_parent}-menus" class="btn btn-white border ttip_n px-3" title="{$lng.lbl_collapse_all|capitalize}"><i class="fa fa-angle-up"></i></a>
</div>
{/if}

{if $link}
<a class="btn btn-white border shadow-sm{if $link_tip} ttip_w{/if}"{if $link_tip} title="{$link_tip}"{/if} href="{if $link eq 'back'}javascript:history.go(-1);{else}{$link}{/if}"{if $link_target} target="{$link_target|default:'_self'}"{if $link_target eq '_blank'} rel="noopener"{/if}{/if}>{if $link_icon}<i class="fa fa-{$link_icon}"></i> {/if}{if $link eq 'back'}{$lng.lbl_go_back}{else}{if $link_title}{$link_title|default:$lng.lbl_more|capitalize}{/if}{/if}</a>
{/if}

{if $dropdown eq "pages"}
{include file="custom/dropdown.tpl" type="pages" title=$lng.lbl_more|capitalize class="btn btn-light border shadow-sm" align="right"}
{/if}

{if $dropdown eq "blog"}
{include file="custom/dropdown.tpl" type="blog" title=$lng.lbl_categories|capitalize class="btn btn-light border shadow-sm" align="right"}
{/if}

</div>
</div>
{/if}

</div>

{if $collapse}
<div id="{$collapse}" class="collapse{if !$closed} show{/if}"{if $parent} data-parent="#{$parent}"{/if} aria-labelledby="{$collapse}">
{/if}

<div class="card-{if $content_padding eq 'none'}-{/if}body rounded-bottom p-{$content_padding|default:'3'}{if $nobbr} nobbr{/if}">
{$content}
</div>

{if $collapse}
</div>
{/if}

</div>

{else}

<div class="content">
{$content}
</div>

{/if}